Electronic Load 1.0 Programmable Constant Current Sink

Data Structures | Typedefs | Enumerations | Functions | Variables
screen.h File Reference
Include dependency graph for screen.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | prefixValue_t
| Holds the values for a prefix-value. More...
struct | screen_t
| Holds the structure to build up a screen. More...
struct | screenItem_t
| Holds the data for a screen item. More...
struct | sinkPrefixValues_t
| Contains the prefixValues for all sinks for display. More...

## Typedefs
typedef uint8_t | screenTimeout_t
| Use a suitable unsigned type to allow the longest timeout you would need. More...

## Enumerations
enum | prefixType { micro, milli, one, kilo, mega }

## Functions
uint8_t | doScreenDischgTest (void)
uint8_t | doScreenManualTest (void)
void | doScreenSystem (void)
void | formatPrefixValue (prefixValue_t *val, double newVal)
| Formats a value using SI-Prefix Letters. More...
uint8_t | Screen (screen_t *screen)
| Handles a screen. More...

## Variables
screenItem_t | inSink1_s
screen_t | screenVersion
| The Version Screen. More...
const char | txtSetPoint_t [] = "Set point:"
| The Text for Set Point. More...

## Typedef Documentation

## ◆ screenTimeout_t

typedef uint8_t screenTimeout_t

Use a suitable unsigned type to allow the longest timeout you would need.

file screen.h

## Enumeration Type Documentation

## ◆ prefixType

enum prefixType

Enumerator
micro |
milli |
one |
kilo |
mega |

## Function Documentation

## ◆ formatPrefixValue()

void formatPrefixValue | ( | prefixValue_t * | val,
|  | double | newVal
| ) |  |

Formats a value using SI-Prefix Letters.

Parameters

  val | a pointer to the prefixValue_t
  newVal | the (new) value to be formatted The newVal is formatted to fit into the value-string of the struct. The function uses prefixes like 'kilo' or 'micro' to get easily readable values. To avoid flickering when the value changes between 999 and 1000 (999 and 1.00k) a threshold has been implemented to keep the same prefix until the value goes too far beyond.

## ◆ doScreenManualTest()

uint8_t doScreenManualTest | ( | void |  | ) |

Here is the call graph for this function:

## ◆ doScreenDischgTest()

uint8_t doScreenDischgTest | ( | void |  | ) |

Here is the call graph for this function:

## ◆ doScreenSystem()

void doScreenSystem | ( | void |  | ) |

## ◆ Screen()

uint8_t Screen | ( | screen_t * | screen | ) |

Handles a screen.

Parameters

  screen | A pointer to the screen.

Returns
  The value of the retval of the control clicked.

A screen may have static, editable and autorefresh-objects. If the retval of an editable item is !=0 (normally used only with buttons) the screen is terminated when the user presses enter whenever the item is selected. If a screen has no editable items at all, the screen is terminated when the user presses enter, too.

Here is the call graph for this function:

## Variable Documentation

## ◆ inSink1_s

screenItem_t inSink1_s

## ◆ screenVersion

screen_t screenVersion

The Version Screen.

## ◆ txtSetPoint_t

const char txtSetPoint_t = "Set point:"

The Text for Set Point.